org.apache.maven.scm.provider.cvslib.repository

## Class CvsScmProviderRepository

- java.lang.Object
- - org.apache.maven.scm.provider.ScmProviderRepository
  - - org.apache.maven.scm.provider.ScmProviderRepositoryWithHost
    - - org.apache.maven.scm.provider.cvslib.repository.CvsScmProviderRepository

-     public class CvsScmProviderRepository
      extends ScmProviderRepositoryWithHost

  Version:
    $Id: CvsScmProviderRepository.java 687016 2008-08-19 10:53:00Z vsiveton $
  Author:
    Emmanuel Venisse, Trygve Laugstøl

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CvsScmProviderRepository(String cvsroot, String transport, String user, String password, String host, int port, String path, String module)`
    `CvsScmProviderRepository(String cvsroot, String transport, String user, String password, String host, String path, String module)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCvsRoot()`
    `String` | `getCvsRootForCvsPass()`
    `String` | `getModule()`
    `String` | `getPath()`
    `String` | `getTransport()`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.maven.scm.provider.ScmProviderRepositoryWithHost

      `getHost, getPassphrase, getPort, getPrivateKey, setHost, setPassphrase, setPort, setPrivateKey`

    - ### Methods inherited from class org.apache.maven.scm.provider.ScmProviderRepository

      `getParent, getPassword, getRelativePath, getUser, isPersistCheckout, setPassword, setPersistCheckout, setUser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CvsScmProviderRepository

          public CvsScmProviderRepository(String cvsroot,
                                  String transport,
                                  String user,
                                  String password,
                                  String host,
                                  String path,
                                  String module)

    - #### CvsScmProviderRepository

          public CvsScmProviderRepository(String cvsroot,
                                  String transport,
                                  String user,
                                  String password,
                                  String host,
                                  int port,
                                  String path,
                                  String module)

  - ### Method Detail

    - #### getCvsRoot

          public String getCvsRoot()

      Returns:
        The cvs root

    - #### getCvsRootForCvsPass

          public String getCvsRootForCvsPass()

      Returns:
        The cvs root stored in .cvspass

    - #### getTransport

          public String getTransport()

      Returns:
        The subtype (like pserver).

    - #### getPath

          public String getPath()

      Returns:
        The path.

    - #### getModule

          public String getModule()

      Returns:
        The module name.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2003–2015. All rights reserved.